HomeSort by relevance Sort by last modified time
    Searched refs:ninja (Results 1 - 25 of 101) sorted by null

1 2 3 4 5

  /build/kati/testcase/
ninja_phony_targets.sh 22 rm -f build.ninja .kati_stamp ninja.sh
24 if [ -e ninja.sh ]; then ./ninja.sh -j1 $@; fi
ninja_pool.sh 30 if [ -e ninja.sh ]; then
31 mv build.ninja kati.ninja
32 cat <<EOF > build.ninja
35 include kati.ninja
37 ./ninja.sh
39 if [ -e ninja.sh ]; then
40 if ! grep -q "pool = test_pool" kati.ninja; then
41 echo "Pool not present in build.ninja"
ninja_regen_filefunc_read.sh 35 if [ -e ninja.sh ]; then
36 ./ninja.sh
40 if [ -e ninja.sh ]; then
44 ./ninja.sh
50 if [ -e ninja.sh ]; then
54 ./ninja.sh
58 if [ -e ninja.sh ]; then
62 ./ninja.sh
69 if [ -e ninja.sh ]; then
73 ./ninja.s
    [all...]
ninja_regen.sh 36 if [ -e ninja.sh ]; then
37 ./ninja.sh
56 if [ -e ninja.sh ]; then
60 ./ninja.sh
65 if [ -e ninja.sh ]; then
69 ./ninja.sh
74 if [ -e ninja.sh ]; then
78 ./ninja.sh
83 if [ -e ninja.sh ]; then
87 ./ninja.s
    [all...]
ninja_mkdir.sh 31 if [ -e ninja.sh ]; then
32 ./ninja.sh
37 if [ -e ninja.sh ]; then
38 if grep -q "mkdir -p" build.ninja; then
39 echo "Should not include 'mkdir -p' in build.ninja"
40 echo "Ninja will automatically create this directory"
ninja_regen_filefunc_write.sh 29 if [ -e ninja.sh ]; then
33 ./ninja.sh
38 if [ -e ninja.sh ]; then
45 ./ninja.sh
find_command_sorted.mk 1 # TODO(ninja): This test is only for ckati. ninja: fix $(sort $(shell $(1)))
3 # ninja: $(sort $(shell "find .")) becomes "$( .) find"
ninja_regen_glob.sh 37 if [ -e ninja.sh ]; then
38 ./ninja.sh
42 if [ -e ninja.sh ]; then
46 ./ninja.sh
ninja_implicit_output_var.sh 31 if [ -e ninja.sh ]; then
32 ./ninja.sh -j1 -w dupbuild=err;
override_export.mk 1 # TODO(c|ninja): it overrides "export A" and exports(?) "override B"
2 # ninja: can't export variable with space in name (by bash).
ninja_implicit_outputs.sh 37 if [ -e ninja.sh ]; then ./ninja.sh -j1 -w dupbuild=err all d; fi
ninja_regen_find_link.sh 31 if [ -e ninja.sh ]; then ./ninja.sh -j1 $@; fi
  /build/blueprint/
.travis.install-ninja.sh 3 # Version of ninja to build -- can be any git revision
15 git clone https://github.com/martine/ninja
16 cd ninja
20 rm -f ../ninjabin/ninja
22 mv ninja ../ninjabin/
blueprint.bash 3 # This script is intented to wrap the execution of ninja so that we
4 # can do some checks before each ninja run.
13 # NINJA
30 # NINJA should be set to the path of the ninja executable. By default, this
31 # is just "ninja", and will be looked up in $PATH.
32 [ -z "$NINJA" ] && NINJA=ninja
bootstrap.bash 33 # WRAPPER should only be set if you want a ninja wrapper script to be
104 echo "bootstrapBuildDir = $BUILDDIR" > $BUILDDIR/.minibootstrap/build.ninja
105 echo "topFile = $SRCDIR/$TOPNAME" >> $BUILDDIR/.minibootstrap/build.ninja
106 echo "extraArgs = $EXTRA_ARGS" >> $BUILDDIR/.minibootstrap/build.ninja
107 echo "builddir = $NINJA_BUILDDIR" >> $BUILDDIR/.minibootstrap/build.ninja
108 echo "include $BLUEPRINTDIR/bootstrap/build.ninja" >> $BUILDDIR/.minibootstrap/build.ninja
  /build/blueprint/tests/
test_tree_tests.sh 32 #confirm no build.ninja file is rebuilt when no change happens
35 OLDTIME_BOOTSTRAP=$(mtime .bootstrap/build.ninja)
36 OLDTIME=$(mtime build.ninja)
41 if [ ${OLDTIME} != $(mtime build.ninja) ]; then
42 echo "unnecessary build.ninja regeneration for null build" >&2
46 if [ ${OLDTIME_BOOTSTRAP} != $(mtime .bootstrap/build.ninja) ]; then
47 echo "unnecessary .bootstrap/build.ninja regeneration for null build" >&2
51 #confirm no build.ninja file is rebuilt when a new directory is created
57 if [ ${OLDTIME} != $(mtime build.ninja) ]; then
58 echo "unnecessary build.ninja regeneration for new empty directory" >&
    [all...]
  /external/compiler-rt/lib/tsan/
check_cmake.sh 11 CC=clang CXX=clang++ cmake -G Ninja -DLLVM_ENABLE_WERROR=ON -DCMAKE_BUILD_TYPE=Release -DLLVM_ENABLE_ASSERTIONS=ON $ROOT/../../../..
13 ninja
14 ninja check-sanitizer
15 ninja check-tsan
16 ninja check-asan
17 ninja check-msan
18 ninja check-lsan
  /development/vndk/tools/sourcedr/sourcedr/tests/
test_ninja.py 3 from sourcedr import ninja
10 TEST_DATA_DIR = os.path.join(TEST_DIR, 'testdata', 'ninja')
15 class MockedParser(ninja.Parser):
27 s = ninja.EvalStringBuilder().getvalue()
29 self.assertEqual('', ninja.eval_string(s, ninja.EvalEnv()))
32 s = ninja.EvalStringBuilder().append_raw('a').getvalue()
34 self.assertEqual('a', ninja.eval_string(s, ninja.EvalEnv()))
37 sb = ninja.EvalStringBuilder(
    [all...]
  /build/kati/
m2n 17 # A wrapper for kati which generates build.ninja mainly for Android.
45 echo ninja.sh and build.ninja were generated, please run ./ninja.sh
117 ${kati} --ninja ${ninja_suffix_flag} --ignore_optional_include=out/%.P --ignore_dirty=out/% --use_find_emulator --detect_android_echo --detect_depfiles --gen_all_targets ${goma_flag} ${extra_flags} ${targets}
120 echo ninja${ninja_suffix}.sh and build${ninja_suffix}.ninja were generated, please run ./ninja${ninja_suffix}.sh
  /external/libcxx/
appveyor-reqs-install.cmd 38 :: Install Ninja
40 if NOT EXIST ninja (
41 appveyor DownloadFile https://github.com/ninja-build/ninja/releases/download/v1.6.0/ninja-win.zip -FileName ninja.zip
42 7z x ninja.zip -oC:\projects\deps\ninja > nul
43 rm ninja.zip
45 @set PATH=C:\projects\deps\ninja;%PATH
    [all...]
  /prebuilts/ndk/r16/sources/cxx-stl/llvm-libc++/
appveyor-reqs-install.cmd 38 :: Install Ninja
40 if NOT EXIST ninja (
41 appveyor DownloadFile https://github.com/ninja-build/ninja/releases/download/v1.6.0/ninja-win.zip -FileName ninja.zip
42 7z x ninja.zip -oC:\projects\deps\ninja > nul
43 rm ninja.zip
45 @set PATH=C:\projects\deps\ninja;%PATH
    [all...]
  /external/llvm/bindings/go/
build.sh 15 if test -n "`which ninja`" ; then
16 # If Ninja is available, we can speed up the build by building only the
18 (cd $llvm_builddir && cmake -G Ninja $cmake_flags)
19 ninja -C $llvm_builddir llvm-config llvm-go
22 ninja -C $llvm_builddir $llvm_buildtargets FileCheck
  /external/perfetto/debian/
rules 10 tools/ninja -C out/release
  /external/llvm/utils/release/
build_llvm_package.bat 11 REM Visual Studio 2013, CMake, Ninja, SVN, GNUWin32,
57 ninja all || exit /b
58 ninja check || exit /b
59 ninja check-clang || exit /b
67 ninja all || exit /b
68 ninja check || exit /b
69 ninja check-clang || exit /b
71 ninja package || exit /b
81 ninja all || exit /b
82 ninja check || exit /b
    [all...]
  /build/soong/ui/tracer/
ninja.go 63 // ImportNinjaLog reads a .ninja_log file from ninja and writes the events out
66 // startOffset is when the ninja process started, and is used to position the
67 // relative times from the ninja log into the trace. It's also used to skip
68 // reading the ninja log if nothing was run.
70 t.Begin("ninja log import", thread)
74 t.log.Println("Missing ninja log:", err)
77 t.log.Verboseln("Ninja log not modified, not importing any entries.")
83 t.log.Println("Error opening ninja log:", err)
96 if hdr != "# ninja log v5" {
97 t.log.Printf("Unknown ninja log header: %q", hdr
    [all...]

Completed in 568 milliseconds

1 2 3 4 5